Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.eclipse.outline
Class ColorerContentOutlinePage

    java.lang.Object
      ContentOutlinePage
          net.sf.colorer.eclipse.outline.ColorerContentOutlinePage

All Implemented Interfaces:
  OutlineListener

    public class ColorerContentOutlinePage

extends ContentOutlinePage
implements OutlineListener

Content outline page for the Colorer editor. Allows to view General Outline, Error and Internal Parse Tree for currently selected editor window.

Constructor Summary
`ColorerContentOutlinePage()`

Method Summary
`void` | `addDoubleClickListener(IDoubleClickListener dc)`
`void` | `attach(TextColorer textColorer)`
`void` | `createControl(Composite parent)`
`void` | `detach()`
`void` | `dispose()`
`void` | `notifyUpdate()` Called by IOutlineSource to notify container about changes in Outliner model.
`void` | `removeDoubleClickListener(IDoubleClickListener dc)`
`void` | `updateIfChanged()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorerContentOutlinePage

    public ColorerContentOutlinePage()

Method Detail

### attach

    public void attach(TextColorer textColorer)

### detach

    public void detach()

### dispose

    public void dispose()

### updateIfChanged

    public void updateIfChanged()

### notifyUpdate

    public void notifyUpdate()

  Description copied from interface: `OutlineListener`
  Called by IOutlineSource to notify container about changes in Outliner model.

  Specified by:
    `notifyUpdate` in interface `OutlineListener`

### addDoubleClickListener

    public void addDoubleClickListener(IDoubleClickListener dc)

### removeDoubleClickListener

    public void removeDoubleClickListener(IDoubleClickListener dc)

### createControl

    public void createControl(Composite parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.